com.labjack

## Class LJMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.labjack.LJMException

- All Implemented Interfaces:
    java.io.Serializable

      public class LJMException
      extends java.lang.RuntimeException

  LJMException is a custom exception class for the LJM class. It takes error and errorAddress values returned from LJM library function calls, will get the string error from the LJM library and setup exception strings with them.
  Author:
    LabJack Corporation <support@labjack.com>
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LJMException(int error)`
    `LJMException(int error, int errorAddress)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getError()`
    `int` | `getErrorAddress()`
    `int` | `getErrorString()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LJMException

          public LJMException(int error)

    - #### LJMException

          public LJMException(int error,
                              int errorAddress)

  - ### Method Detail

    - #### getError

          public int getError()

    - #### getErrorAddress

          public int getErrorAddress()

    - #### getErrorString

          public int getErrorString()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`